--- old/usr/src/data/hwdata/pci.ids	Tue May  2 16:54:58 2017
+++ new/usr/src/data/hwdata/pci.ids	Tue May  2 16:54:58 2017
@@ -1,8 +1,8 @@
 #
 #	List of PCI ID's
 #
-#	Version: 2016.10.15
-#	Date:    2016-10-15 03:15:02
+#	Version: 2017.04.23
+#	Date:    2017-04-23 03:15:02
 #
 #	Maintained by Albert Pool, Martin Mares, and other volunteers from
 #	the PCI ID Project at http://pci-ids.ucw.cz/.
@@ -48,9 +48,11 @@
 021b  Compaq Computer Corporation
 	8139  HNE-300 (RealTek RTL8139c) [iPaq Networking]
 0270  Hauppauge computer works Inc. (Wrong ID)
+0291  Davicom Semiconductor, Inc. (Wrong ID)
 # SpeedStream is Efficient Networks, Inc, a Siemens Company
 02ac  SpeedStream
 	1012  1012 PCMCIA 10/100 Ethernet Card [RTL81xx]
+02e0  XFX Pine Group Inc. (Wrong ID)
 0303  Hewlett-Packard Company (Wrong ID)
 0308  ZyXEL Communications Corporation (Wrong ID)
 0315  SK-Electronics Co., Ltd.
@@ -72,16 +74,16 @@
 0925  VIA Technologies, Inc. (Wrong ID)
 0a89  BREA Technologies Inc
 0b0b  Rhino Equipment Corp.
-	0105  Rhino R1T1
-	0205  Rhino R4FXO
+	0105  R1T1
+	0205  R4FXO
 	0206  RCB4FXO 4-channel FXO analog telphony card
-	0305  Rhino R4T1
-	0405  Rhino R8FXX
+	0305  R4T1
+	0405  R8FXX
 	0406  RCB8FXX 8-channel modular analog telphony card
-	0505  Rhino R24FXX
+	0505  R24FXX
 	0506  RCB24FXS 24-Channel FXS analog telphony card
-	0605  Rhino R2T1
-	0705  Rhino R24FXS
+	0605  R2T1
+	0705  R24FXS
 	0706  RCB24FXO 24-Channel FXO analog telphony card
 	0905  R1T3 Single T3 Digital Telephony Card
 	0906  RCB24FXX 24-channel modular analog telphony card
@@ -245,6 +247,8 @@
 	0014  MegaRAID Tri-Mode SAS3516
 		1028 1fd4  PERC H745P MX
 		1d49 0602  ThinkSystem RAID 930-16i 4GB Flash PCIe 12Gb Adapter
+		1d49 0604  ThinkSystem RAID 930-8e 4GB Flash PCIe 12Gb Adapter
+	0015  MegaRAID Tri-Mode SAS3416
 	0016  MegaRAID Tri-Mode SAS3508
 		1028 1fc9  PERC H840 Adapter
 		1028 1fcb  PERC H740P Adapter
@@ -544,14 +548,15 @@
 		1028 1f53  HBA330 Mini
 		1028 1fd2  HBA330 MX
 		1028 1fd3  HBA330 MMZ
+		1bd4 0011  Inspur 12Gb 8i-3008 IT SAS HBA
 	00ab  SAS3516 Fusion-MPT Tri-Mode RAID On Chip (ROC)
 	00ac  SAS3416 Fusion-MPT Tri-Mode I/O Controller Chip (IOC)
-		1d49 0201  ThinkSystem 9400-16i PCIe 12Gb HBA
-		1d49 0203  ThinkSystem 9400-16e PCIe 12Gb HBA
+		1d49 0201  ThinkSystem 430-16i SAS/SATA 12Gb HBA
+		1d49 0203  ThinkSystem 430-16e SAS/SATA 12Gb HBA
 	00ae  SAS3508 Fusion-MPT Tri-Mode RAID On Chip (ROC)
 	00af  SAS3408 Fusion-MPT Tri-Mode I/O Controller Chip (IOC)
-		1d49 0200  ThinkSystem 9400-8i PCIe 12Gb HBA
-		1d49 0202  ThinkSystem 9400-8e PCIe 12Gb HBA
+		1d49 0200  ThinkSystem 430-8i SAS/SATA 12Gb HBA
+		1d49 0202  ThinkSystem 430-8e SAS/SATA 12Gb HBA
 	00be  SAS3504 Fusion-MPT Tri-Mode RAID On Chip (ROC)
 	00bf  SAS3404 Fusion-MPT Tri-Mode I/O Controller Chip (IOC)
 	00c0  SAS3324 PCI-Express Fusion-MPT SAS-3
@@ -1094,7 +1099,7 @@
 		1028 0085  Rage 3D LT Pro
 	4c46  Rage Mobility 128 AGP 2X/Mobility M3
 		1002 0155  IBM Thinkpad A22p
-		1014 0155  IBM Thinkpad A22p
+		1014 0155  Thinkpad A22p
 		1028 00b1  Latitude C600
 	4c47  3D Rage IIC PCI / Mobility Radeon 7500/7500C
 	4c49  3D Rage LT PRO PCI
@@ -2197,11 +2202,17 @@
 	67b9  Vesuvius [Radeon R9 295X2]
 	67be  Hawaii LE
 	67c0  Ellesmere [Polaris10]
+	67c4  Ellesmere [Radeon Pro WX 7100]
+	67c7  Ellesmere [Radeon Pro WX 5100]
+	67ca  Ellesmere [Polaris10]
+	67cc  Ellesmere [Polaris10]
+	67cf  Ellesmere [Polaris10]
 	67df  Ellesmere [Radeon RX 470/480]
 		1002 0b37  Radeon RX 480
 		1043 04a8  Radeon RX 480
 		1043 04b0  Radeon RX 470
 		1043 04fb  Radeon RX 480
+		1043 04fd  Radeon RX 480 8GB
 		1462 3411  Radeon RX 470
 		1462 3413  Radeon RX 480
 		148c 2372  Radeon RX 480
@@ -2214,6 +2225,7 @@
 		1787 a480  Radeon RX 480
 	67e0  Baffin [Polaris11]
 	67e1  Baffin [Polaris11]
+	67e3  Baffin [Radeon Pro WX 4100]
 	67e8  Baffin [Polaris11]
 	67e9  Baffin [Polaris11]
 	67eb  Baffin [Polaris11]
@@ -2242,6 +2254,7 @@
 		1043 2016  Trinidad PRO [Radeon R9 370 OEM]
 		1458 2016  Trinidad PRO [Radeon R9 370 OEM]
 		1462 2016  Trinidad PRO [Radeon R9 370 OEM]
+		1462 3050  R9 270 Gaming OC
 		148c 2016  Trinidad PRO [Radeon R9 370 OEM]
 		1682 2015  Trinidad PRO [Radeon R7 370]
 		174b 2016  Trinidad PRO [Radeon R9 370 OEM]
@@ -2413,6 +2426,7 @@
 		144d c0c7  Radeon HD 7550M
 	6842  Thames LE [Radeon HD 7000M Series]
 	6843  Thames [Radeon HD 7670M]
+	687f  Vega [Radeon RX Vega]
 	6888  Cypress XT [FirePro V8800]
 	6889  Cypress PRO [FirePro V7800]
 		1002 0301  FirePro V7800P
@@ -2920,6 +2934,12 @@
 		148c 9380  Radeon R9 380
 # Make naming scheme consistent
 		174b e308  Radeon R9 380 Nitro 4G D5
+	6980  Polaris12
+	6981  Polaris12
+	6985  Polaris12
+	6986  Polaris12
+	6987  Polaris12
+	699f  Lexa PRO [Radeon RX 550]
 	700f  RS100 AGP Bridge
 	7010  RS200/RS250 AGP Bridge
 	7100  R520 [Radeon X1800 XT]
@@ -5091,6 +5111,7 @@
 		0675 1704  ISDN Adapter (PCI Bus, D, C)
 		0675 1707  ISDN Adapter (PCI Bus, DV, W)
 		10cf 105e  ISDN Adapter (PCI Bus, DV, W)
+	13a0  Transformer Book T101HA-GR030R
 # Should be 1022:9602
 	9602  AMD RS780/RS880 PCI to PCI bridge (int gfx)
 		1043 83a2  M4A785TD Motherboard
@@ -5501,6 +5522,10 @@
 	8056  Rockwell HCF 56K modem
 	808a  Memory Stick Controller
 	81ce  SxS Pro memory card
+# 2nd ID
+	905c  SxS Pro memory card
+# 2nd ID
+	907f  SxS Pro+ memory card
 	908f  Aeolia ACPI
 	909e  Aeolia Ethernet Controller (Marvell Yukon 2 Family)
 	909f  Aeolia SATA AHCI Controller
@@ -5509,6 +5534,7 @@
 	90a2  Aeolia DMA Controller
 	90a3  Aeolia Memory (DDR3/SPM)
 	90a4  Aeolia USB 3.0 xHCI Host Controller
+	90bc  SxS Pro+ memory card
 104e  Oak Technology, Inc
 	0017  OTI-64017
 	0107  OTI-107 [Spitfire]
@@ -5999,9 +6025,9 @@
 		1077 e4f8  FastLinQ QL45611H 100GbE Adapter (SR-IOV VF)
 	2020  ISP2020A Fast!SCSI Basic Adapter
 	2031  ISP8324-based 16Gb Fibre Channel to PCI Express Adapter
-		103c 17e7  HP SN1000Q 16Gb Single Port Fibre Channel Adapter
-		103c 17e8  HP SN1000Q 16Gb Dual Port Fibre Channel Adapter
-		103c 1939  HP QMH2672 16Gb Dual Port Fibre Channel Adapter
+		103c 17e7  SN1000Q 16Gb Single Port Fibre Channel Adapter
+		103c 17e8  SN1000Q 16Gb Dual Port Fibre Channel Adapter
+		103c 1939  QMH2672 16Gb Dual Port Fibre Channel Adapter
 		103c 8002  3830C 16G Fibre Channel Host Bus Adapter
 	2071  ISP2714-based 16/32Gb Fibre Channel to PCIe Adapter
 		1077 0283  QLE2764 Quad Port 32Gb Fibre Channel to PCIe Adapter
@@ -6021,10 +6047,10 @@
 		1077 02a8  QLE2692 Dual Port 16Gb FC to PCIe Gen3 x8 Adapter
 		1077 02ab  QLE2740 Single Port 32Gb FC to PCIe Gen3 x8 Adapter
 		1077 02ac  QLE2742 Dual Port 32Gb FC to PCIe Gen3 x8 Adapter
-		1590 00f9  HPE StoreFabric SN1100Q 16Gb Single Port Fibre Channel Host Bus Adapter
-		1590 00fa  HPE StoreFabric SN1100Q 16Gb Dual Port Fibre Channel Host Bus Adapter
-		1590 0203  HPE StoreFabric SN1600Q 32Gb Single Port Fibre Channel Host Bus Adapter
-		1590 0204  HPE StoreFabric SN1600Q 32Gb Dual Port Fibre Channel Host Bus Adapter
+		1590 00f9  StoreFabric SN1100Q 16Gb Single Port Fibre Channel Host Bus Adapter
+		1590 00fa  StoreFabric SN1100Q 16Gb Dual Port Fibre Channel Host Bus Adapter
+		1590 0203  StoreFabric SN1600Q 32Gb Single Port Fibre Channel Host Bus Adapter
+		1590 0204  StoreFabric SN1600Q 32Gb Dual Port Fibre Channel Host Bus Adapter
 	2300  QLA2300 64-bit Fibre Channel Adapter
 	2312  ISP2312-based 2Gb Fibre Channel to PCI-X HBA
 		103c 0131  2Gb Fibre Channel - Single port [A7538A]
@@ -6039,7 +6065,7 @@
 		103c 3262  StorageWorks 81Q
 		103c 3263  StorageWorks 82Q
 		1077 0167  QME2572 Dual Port FC8 HBA Mezzanine
-		1590 00fc  HPE StoreFabric 84Q 8Gb Quad Port Fibre Channel Host Bus Adapter
+		1590 00fc  StoreFabric 84Q 8Gb Quad Port Fibre Channel Host Bus Adapter
 	3022  ISP4022-based Ethernet NIC
 	3032  ISP4032-based Ethernet IPv6 NIC
 	4010  ISP4010-based iSCSI TOE HBA
@@ -6074,6 +6100,20 @@
 		1077 0246  8300 Series Dual Port 10GbE Converged Network Adapter (TCP/IP Networking)
 	8031  8300 Series 10GbE Converged Network Adapter (FCoE)
 	8032  8300 Series 10GbE Converged Network Adapter (iSCSI)
+	8070  FastLinQ QL41000 Series 10/25/40/50GbE Controller
+		1077 0011  FastLinQ QL41212H 25GbE Adapter
+		1077 0012  FastLinQ QL41112H 10GbE Adapter
+	8080  FastLinQ QL41000 Series 10/25/40/50GbE Controller (FCoE)
+		1077 000d  FastLinQ QL41262H 25GbE FCoE Adapter
+		1077 000e  FastLinQ QL41162H 10GbE FCoE Adapter
+	8084  FastLinQ QL41000 Series 10/25/40/50GbE Controller (iSCSI)
+		1077 000d  FastLinQ QL41262H 25GbE iSCSI Adapter
+		1077 000e  FastLinQ QL41162H 10GbE iSCSI Adapter
+	8090  FastLinQ QL41000 Series Gigabit Ethernet Controller (SR-IOV VF)
+		1077 000d  FastLinQ QL41262H 25GbE FCoE Adapter (SR-IOV VF)
+		1077 000e  FastLinQ QL41162H 10GbE iSCSI Adapter (SR-IOV VF)
+		1077 0011  FastLinQ QL41212H 25GbE Adapter (SR-IOV VF)
+		1077 0012  FastLinQ QL41112H 10GbE Adapter (SR-IOV VF)
 	8430  ISP8324 1/10GbE Converged Network Controller (NIC VF)
 	8431  8300 Series 10GbE Converged Network Adapter (FCoE VF)
 	8432  ISP2432M-based 10GbE Converged Network Adapter (CNA)
@@ -7529,7 +7569,7 @@
 		1885 0700  Tsunami FPGA PMC with Altera Stratix S40
 		1885 0701  Tsunami FPGA PMC with Altera Stratix S30
 	9733  PEX 9733 33-lane, 9-port PCI Express Gen 3 (8.0 GT/s) Switch
-		1d49 0001  ThinkSystem P310W-4P NVMe Switch Card
+		1d49 0001  ThinkSystem 1610-4P NVMe Switch Adapter
 	9749  PEX 9749 49-lane, 13-port PCI Express Gen 3 (8.0 GT/s) Switch
 	a100  Blackmagic Design DeckLink
 	bb04  B&B 3PCIOSD1A Isolated PCI Serial
@@ -8375,6 +8415,7 @@
 		1048 0c45  GLoria II
 		1048 0c4a  GLoria II-64 Pro
 		1048 0c4b  GLoria II-64 Pro DVII
+		10a9 9002  VPro VR3
 	0110  NV11 [GeForce2 MX/MX 400]
 		1043 4015  AGP-V7100 Pro
 		1043 4021  V7100 Deluxe Combo
@@ -8913,7 +8954,7 @@
 	0396  G73
 	0397  G73M [GeForce Go 7700]
 	0398  G73M [GeForce Go 7600]
-		1025 006c  Acer 9814 WKMI
+		1025 006c  Aspire 9814WKMi
 	0399  G73M [GeForce Go 7600 GT]
 	039a  G73M [Quadro NVS 300M]
 	039b  G73M [GeForce Go 7900 SE]
@@ -9871,6 +9912,7 @@
 	0dfa  GF108GLM [Quadro 1000M]
 	0dfc  GF108GLM [NVS 5200M]
 	0e08  GF119 HDMI Audio Controller
+		1043 83a0  ENGT520 SILENT
 # 1024MB with passive cooling (heatsink)
 		10b0 104a  Gainward GeForce GT 610
 	0e09  GF110 High Definition Audio Controller
@@ -10004,6 +10046,7 @@
 	103a  GK110GL [Quadro K6000]
 	103c  GK110GL [Quadro K5200]
 	1040  GF119 [GeForce GT 520]
+		1043 83a0  ENGT520 SILENT
 	1042  GF119 [GeForce 510]
 	1048  GF119 [GeForce 605]
 	1049  GF119 [GeForce GT 620 OEM]
@@ -10072,7 +10115,9 @@
 	10c3  GT218 [GeForce 8400 GS Rev. 3]
 	10c5  GT218 [GeForce 405]
 	10d8  GT218 [NVS 300]
+	10ef  GP102 HDMI Audio Controller
 	10f0  GP104 High Definition Audio Controller
+	10f1  GP106 High Definition Audio Controller
 	1140  GF117M [GeForce 610M/710M/810M/820M / GT 620M/625M/630M/720M]
 		1019 0799  GeForce 820M
 		1019 999f  GeForce GT 720M
@@ -10563,6 +10608,7 @@
 	1347  GM108M [GeForce 940M]
 	1348  GM108M [GeForce 945M / 945A]
 	1349  GM108M [GeForce 930M]
+	134b  GM108M [GeForce 940MX]
 	134d  GM108M [GeForce 940MX]
 	134e  GM108M [GeForce 930MX]
 	134f  GM108M [GeForce 920MX]
@@ -10595,6 +10641,8 @@
 	13b1  GM107GLM [Quadro M1000M]
 	13b2  GM107GLM [Quadro M600M]
 	13b3  GM107GLM [Quadro K2200M]
+	13b4  GM107GLM [Quadro M620 Mobile]
+	13b6  GM107GLM [Quadro M1200 Mobile]
 	13b9  GM107GL [NVS 810]
 	13ba  GM107GL [Quadro K2200]
 	13bb  GM107GL [Quadro K620]
@@ -10615,7 +10663,7 @@
 	13f1  GM204GL [Quadro M4000]
 	13f2  GM204GL [Tesla M60]
 	13f3  GM204GL [Tesla M6]
-	13f8  GM204GLM [Quadro M5000M]
+	13f8  GM204GLM [Quadro M5000M / M5000 SE]
 	13f9  GM204GLM [Quadro M4000M]
 	13fa  GM204GLM [Quadro M3000M]
 		10de 11c9  Quadro M3000 SE
@@ -10627,10 +10675,12 @@
 	1427  GM206M [GeForce GTX 965M]
 	1430  GM206GL [Quadro M2000]
 	1431  GM206GL [Tesla M4]
-	15f0  GP100GL
+	1436  GM206GLM [Quadro M2200 Mobile]
+	15f0  GP100GL [Quadro GP100]
 	15f1  GP100GL
-	15f8  GP100GL
-	15f9  GP100GL
+	15f7  GP100GL [Tesla P100 PCIe 12GB]
+	15f8  GP100GL [Tesla P100 PCIe 16GB]
+	15f9  GP100GL [Tesla P100 SMX2 16GB]
 	1617  GM204M [GeForce GTX 980M]
 	1618  GM204M [GeForce GTX 970M]
 	1619  GM204M [GeForce GTX 965M]
@@ -10646,7 +10696,9 @@
 	17fd  GM200GL [Tesla M40]
 	1b00  GP102 [TITAN X]
 	1b01  GP102
+	1b06  GP102 [GeForce GTX 1080 Ti]
 	1b30  GP102GL [Quadro P6000]
+	1b38  GP102GL [Tesla P40]
 	1b70  GP102GL
 	1b78  GP102GL
 	1b80  GP104 [GeForce GTX 1080]
@@ -10653,28 +10705,43 @@
 	1b81  GP104 [GeForce GTX 1070]
 	1b82  GP104
 	1b83  GP104
-	1ba0  GP104M [GeForce GTX 1080]
-	1ba1  GP104M [GeForce GTX 1070]
+	1b84  GP104 [GeForce GTX 1060 3GB]
+	1ba0  GP104M [GeForce GTX 1080 Mobile]
+	1ba1  GP104M [GeForce GTX 1070 Mobile]
 	1bb0  GP104GL [Quadro P5000]
-	1bb1  GP104GL
+	1bb1  GP104GL [Quadro P4000]
+	1bb3  GP104GL [Tesla P4]
 	1bb4  GP104GL
-	1be0  GP104M [GeForce GTX 1080]
-	1be1  GP104M [GeForce GTX 1070]
+	1bb6  GP104GLM [Quadro P5000 Mobile]
+	1bb7  GP104GLM [Quadro P4000 Mobile]
+	1bb8  GP104GLM [Quadro P3000 Mobile]
+	1be0  GP104M [GeForce GTX 1080 Mobile]
+	1be1  GP104M [GeForce GTX 1070 Mobile]
 	1c00  GP106
 	1c01  GP106
 	1c02  GP106 [GeForce GTX 1060 3GB]
 	1c03  GP106 [GeForce GTX 1060 6GB]
-	1c20  GP106M [GeForce GTX 1060]
-	1c30  GP106GL
-	1c60  GP106M [GeForce GTX 1060]
+	1c20  GP106M [GeForce GTX 1060 Mobile]
+	1c30  GP106GL [Quadro P2000]
+	1c35  GP106
+	1c60  GP106M [GeForce GTX 1060 Mobile]
+	1c61  GP106M [GeForce GTX 1050 Ti Mobile]
+	1c62  GP106M [GeForce GTX 1050 Mobile]
 	1c70  GP106GL
 	1c80  GP107
-	1c81  GP107
+	1c81  GP107 [GeForce GTX 1050]
 	1c82  GP107 [GeForce GTX 1050 Ti]
+	1c8c  GP107M [GeForce GTX 1050 Ti Mobile]
+	1c8d  GP107M [GeForce GTX 1050 Mobile]
+	1c8e  GP107M
 	1ca7  GP107GL
 	1ca8  GP107GL
 	1caa  GP107GL
+	1cb1  GP107GL [Quardo P1000]
+	1cb2  GP107GL [Quardo P600]
+	1cb3  GP107GL [Quardo P400]
 	1d01  GP108
+	1d81  GV100
 10df  Emulex Corporation
 	0720  OneConnect NIC (Skyhawk)
 		103c 1934  FlexFabric 20Gb 2-port 650M Adapter
@@ -10706,6 +10773,9 @@
 	e260  OneConnect FCoE Initiator (Lancer)
 	e268  OneConnect 10Gb FCoE Converged Network Adapter (Lancer-VF)
 	e300  Lancer Gen6: LPe32000 Fibre Channel Host Adapter
+		10df e310  Lancer Gen6: LPe31000 Fibre Channel Host Adapter
+		10df e311  Lancer Gen6: LPe31000 Fibre Channel Host Adapter
+		10df e312  Lancer Gen6: LPe31000 Fibre Channel Host Adapter
 	f011  Saturn: LightPulse Fibre Channel Host Adapter
 	f015  Saturn: LightPulse Fibre Channel Host Adapter
 	f085  LP850 Fibre Channel Host Adapter
@@ -10994,6 +11064,7 @@
 	8813  RTL8813AE 802.11ac PCIe Wireless Network Adapter
 	8821  RTL8821AE 802.11ac PCIe Wireless Network Adapter
 	b723  RTL8723BE PCIe Wireless Network Adapter
+		10ec 8739  Dell Wireless 1801
 10ed  Ascii Corporation
 	7310  V7310
 10ee  Xilinx Corporation
@@ -11496,8 +11567,8 @@
 		1043 8095  A7V8X Motherboard (Realtek ALC650 codec)
 		1043 80a1  A7V8X-X Motherboard
 		1043 80b0  A7V600/K8V-X/K8V Deluxe motherboard (ADI AD1980 codec [SoundMAX])
-		1043 80f3  ASUSTek SK8V motherboard
-		1043 810d  Asus P5VD1-X (AD1888 codec [SoundMax])
+		1043 80f3  SK8V motherboard
+		1043 810d  P5VD1-X (AD1888 codec [SoundMax])
 		1043 812a  A8V Deluxe motherboard (Realtek ALC850 codec)
 		10ec 8168  High Definition Audio
 		1106 3059  L7VMM2 Motherboard
@@ -12096,7 +12167,11 @@
 111f  Precision Digital Images
 	4a47  Precision MX Video engine interface
 	5243  Frame capture bus interface
-1120  EMC Corporation
+# formerly EMC Corporation
+1120  Dell EMC
+	2306  Unity Fibre Channel Controller
+	2501  Unity Ethernet Controller
+	2505  Unity Fibre Channel Controller
 1121  Zilog
 1122  Multi-tech Systems, Inc.
 1123  Excellent Design, Inc.
@@ -12178,7 +12253,7 @@
 		0070 6701  WinTV HVR-1110
 		1019 4cb5  Elitegroup ECS TVP3XP FM1236 Tuner Card (NTSC,FM)
 		1043 0210  FlyTV mini Asus Digimatrix
-		1043 4843  ASUS TV-FM 7133
+		1043 4843  TV-FM 7133
 		1043 4845  TV-FM 7135
 		1043 4862  P7131 Dual
 		1043 4876  My Cinema-P7131 Hybrid
@@ -12252,7 +12327,7 @@
 		0000 4071  Behold TV 407 FM
 		1019 4cb4  Elitegroup ECS TVP3XP FM1216 Tuner Card(PAL-BG,FM)
 		1043 0210  Digimatrix TV
-		1043 4840  ASUS TV-FM 7134
+		1043 4840  TV-FM 7134
 		1043 4842  TV-FM 7134
 		1131 0000  SAA713x-based TV tuner card
 		1131 2004  EUROPA V3 reference design
@@ -12969,7 +13044,7 @@
 		103c 30c1  Compaq 6910p
 		1043 1237  A6J-Q008
 		1043 1967  V6800V
-		1043 1987  Asus A4K and Z81K notebooks, possibly others ( mid-2005 machines )
+		1043 1987  A4K and Z81K notebooks, possibly others ( mid-2005 machines )
 		104d 80df  Vaio PCG-FX403
 		104d 80e7  VAIO PCG-GR214EP/GR214MP/GR215MP/GR314MP/GR315MP
 		104d 814e  VAIO GRZ390Z
@@ -13028,7 +13103,7 @@
 		103c 30cc  Pavilion dv6700
 		103c 30cf  Pavilion dv9668eg Laptop
 		1043 1237  A6J-Q008
-		1043 1967  ASUS V6800V
+		1043 1967  V6800V
 		10f7 8338  Panasonic CF-Y5 laptop
 		144d c018  X20 IV
 		17aa 201d  ThinkPad X60/X60s
@@ -13050,8 +13125,8 @@
 		1025 0121  Aspire 5920G
 		1028 01d7  XPS M1210
 		1028 01f3  Inspiron 1420
-		1028 01f5  Dell Inspiron 1501
-		1028 024f  Dell Latitude e6500
+		1028 01f5  Inspiron 1501
+		1028 024f  Latitude e6500
 		103c 03b5  Presario V3242AU
 		103c 30b7  Presario V6133CL
 		103c 30cf  Pavilion dv9500/9600/9700 series
@@ -13191,6 +13266,7 @@
 	0001  FireStream 155
 	0003  FireStream 50
 119f  Bull HN Information Systems
+	1081  BXI Host Channel Adapter
 11a0  Convex Computer Corporation
 11a1  Hamamatsu Photonics K.K.
 11a2  Sierra Research and Technology
@@ -13727,6 +13803,7 @@
 	7375  PM7375 [LASAR-155 ATM SAR]
 	7384  PM7384 [FREEDM - 84P672 Frm Engine & Datalink Mgr]
 	8000  PM8000  [SPC - SAS Protocol Controller]
+	8009  PM8009 SPCve 8x6G
 	8032  ATTO Celerity FC8xEN
 		117c 003b  Celerity FC-82EN Fibre Channel Adapter
 		117c 003c  Celerity FC-84EN Fibre Channel Adapter
@@ -13740,6 +13817,8 @@
 	8071  PM8071 Tachyon SPCve 12G eight-port SAS/SATA controller
 	8072  PM8072 Tachyon SPCv 12G 16-port SAS/SATA controller
 	8073  PM8073 Tachyon SPCve 12G 16-port SAS/SATA controller
+	8531  PM8531 PFX 24xG3 Fanout PCIe Switches
+	8546  PM8546 B-FEIP PSX 96xG3 PCIe Storage Switch
 11f9  I-Cube Inc
 11fa  Kasan Electronics Company, Ltd.
 11fb  Datel Inc
@@ -15672,8 +15751,8 @@
 		1409 0103  PAR4008A
 		1409 0104  PAR4018A
 140a  DSP Research Inc
-# Formerly RAMiX, Inc.
-140b  GE Intelligent Platforms
+# Formerly RAMiX, GE Fanuc, GE Intelligent Platforms
+140b  Abaco Systems, Inc.
 140c  Elmic Systems Inc
 140d  Matsushita Electric Works Ltd
 140e  Goepel Electronic GmbH
@@ -15965,7 +16044,7 @@
 	5081  T540-5081 Unified Wire Ethernet Controller
 	5082  T504-5082 Unified Wire Ethernet Controller
 	5083  T540-5083 Unified Wire Ethernet Controller
-	5084  T580-5084 Unified Wire Ethernet Controller
+	5084  T540-5084 Unified Wire Ethernet Controller
 	5085  T580-5085 Unified Wire Ethernet Controller
 	5086  T580-5086 Unified Wire Ethernet Controller
 	5087  T580-5087 Unified Wire Ethernet Controller
@@ -15984,6 +16063,10 @@
 	509a  T520-509A Unified Wire Ethernet Controller
 	509b  T540-509B Unified Wire Ethernet Controller
 	509c  T520-509C Unified Wire Ethernet Controller
+	509d  T540-509D Unified Wire Ethernet Controller
+	509e  T520-509E Unified Wire Ethernet Controller
+	509f  T540-509F Unified Wire Ethernet Controller
+	50a0  T540-50A0 Unified Wire Ethernet Controller
 	5401  T520-CR Unified Wire Ethernet Controller
 	5402  T522-CR Unified Wire Ethernet Controller
 	5403  T540-CR Unified Wire Ethernet Controller
@@ -16012,7 +16095,7 @@
 	5481  T540-5081 Unified Wire Ethernet Controller
 	5482  T504-5082 Unified Wire Ethernet Controller
 	5483  T540-5083 Unified Wire Ethernet Controller
-	5484  T580-5084 Unified Wire Ethernet Controller
+	5484  T540-5084 Unified Wire Ethernet Controller
 	5485  T580-5085 Unified Wire Ethernet Controller
 	5486  T580-5086 Unified Wire Ethernet Controller
 	5487  T580-5087 Unified Wire Ethernet Controller
@@ -16031,6 +16114,10 @@
 	549a  T520-509A Unified Wire Ethernet Controller
 	549b  T540-509B Unified Wire Ethernet Controller
 	549c  T520-509C Unified Wire Ethernet Controller
+	549d  T540-509D Unified Wire Ethernet Controller
+	549e  T520-509E Unified Wire Ethernet Controller
+	549f  T540-509F Unified Wire Ethernet Controller
+	54a0  T540-50A0 Unified Wire Ethernet Controller
 	5501  T520-CR Unified Wire Storage Controller
 	5502  T522-CR Unified Wire Storage Controller
 	5503  T540-CR Unified Wire Storage Controller
@@ -16059,7 +16146,7 @@
 	5581  T540-5081 Unified Wire Storage Controller
 	5582  T504-5082 Unified Wire Storage Controller
 	5583  T540-5083 Unified Wire Storage Controller
-	5584  T580-5084 Unified Wire Storage Controller
+	5584  T540-5084 Unified Wire Storage Controller
 	5585  T580-5085 Unified Wire Storage Controller
 	5586  T580-5086 Unified Wire Storage Controller
 	5587  T580-5087 Unified Wire Storage Controller
@@ -16078,6 +16165,10 @@
 	559a  T520-509A Unified Wire Storage Controller
 	559b  T540-509B Unified Wire Storage Controller
 	559c  T520-509C Unified Wire Storage Controller
+	559d  T540-509D Unified Wire Storage Controller
+	559e  T520-509E Unified Wire Storage Controller
+	559f  T540-509F Unified Wire Storage Controller
+	55a0  T540-50A0 Unified Wire Storage Controller
 	5601  T520-CR Unified Wire Storage Controller
 	5602  T522-CR Unified Wire Storage Controller
 	5603  T540-CR Unified Wire Storage Controller
@@ -16106,7 +16197,7 @@
 	5681  T540-5081 Unified Wire Storage Controller
 	5682  T504-5082 Unified Wire Storage Controller
 	5683  T540-5083 Unified Wire Storage Controller
-	5684  T580-5084 Unified Wire Storage Controller
+	5684  T540-5084 Unified Wire Storage Controller
 	5685  T580-5085 Unified Wire Storage Controller
 	5686  T580-5086 Unified Wire Storage Controller
 	5687  T580-5087 Unified Wire Storage Controller
@@ -16125,6 +16216,10 @@
 	569a  T520-509A Unified Wire Storage Controller
 	569b  T540-509B Unified Wire Storage Controller
 	569c  T520-509C Unified Wire Storage Controller
+	569d  T540-509D Unified Wire Storage Controller
+	569e  T520-509E Unified Wire Storage Controller
+	569f  T540-509F Unified Wire Storage Controller
+	56a0  T540-50A0 Unified Wire Storage Controller
 	5701  T520-CR Unified Wire Ethernet Controller
 	5702  T522-CR Unified Wire Ethernet Controller
 	5703  T540-CR Unified Wire Ethernet Controller
@@ -16192,7 +16287,7 @@
 	5881  T540-5081 Unified Wire Ethernet Controller [VF]
 	5882  T504-5082 Unified Wire Ethernet Controller [VF]
 	5883  T540-5083 Unified Wire Ethernet Controller [VF]
-	5884  T580-5084 Unified Wire Ethernet Controller [VF]
+	5884  T540-5084 Unified Wire Ethernet Controller [VF]
 	5885  T580-5085 Unified Wire Ethernet Controller [VF]
 	5886  T580-5086 Unified Wire Ethernet Controller [VF]
 	5887  T580-5087 Unified Wire Ethernet Controller [VF]
@@ -16211,6 +16306,85 @@
 	589a  T520-509A Unified Wire Ethernet Controller [VF]
 	589b  T540-509B Unified Wire Ethernet Controller [VF]
 	589c  T520-509C Unified Wire Ethernet Controller [VF]
+	589d  T540-509D Unified Wire Ethernet Controller [VF]
+	589e  T520-509E Unified Wire Ethernet Controller [VF]
+	589f  T540-509F Unified Wire Ethernet Controller [VF]
+	58a0  T540-50A0 Unified Wire Ethernet Controller [VF]
+	6001  T6225-CR Unified Wire Ethernet Controller
+	6002  T6225-SO-CR Unified Wire Ethernet Controller
+	6003  T6425-CR Unified Wire Ethernet Controller
+	6004  T6425-SO-CR Unified Wire Ethernet Controller
+	6005  T6225-OCP-SO Unified Wire Ethernet Controller
+	6006  T62100-OCP-SO Unified Wire Ethernet Controller
+	6007  T62100-LP-CR Unified Wire Ethernet Controller
+	6008  T62100-SO-CR Unified Wire Ethernet Controller
+	6009  T6210-BT Unified Wire Ethernet Controller
+	600d  T62100-CR Unified Wire Ethernet Controller
+	6011  T6225-LL-CR Unified Wire Ethernet Controller
+	6014  T61100-OCP-SO Unified Wire Ethernet Controller
+	6015  T6201-BT Unified Wire Ethernet Controller
+	6080  T6225-6080 Unified Wire Ethernet Controller
+	6081  T62100-6081 Unified Wire Ethernet Controller
+	6401  T6225-CR Unified Wire Ethernet Controller
+	6402  T6225-SO-CR Unified Wire Ethernet Controller
+	6403  T6425-CR Unified Wire Ethernet Controller
+	6404  T6425-SO-CR Unified Wire Ethernet Controller
+	6405  T6225-OCP-SO Unified Wire Ethernet Controller
+	6406  T62100-OCP-SO Unified Wire Ethernet Controller
+	6407  T62100-LP-CR Unified Wire Ethernet Controller
+	6408  T62100-SO-CR Unified Wire Ethernet Controller
+	6409  T6210-BT Unified Wire Ethernet Controller
+	640d  T62100-CR Unified Wire Ethernet Controller
+	6411  T6225-LL-CR Unified Wire Ethernet Controller
+	6414  T61100-OCP-SO Unified Wire Ethernet Controller
+	6415  T6201-BT Unified Wire Ethernet Controller
+	6480  T6225-6080 Unified Wire Ethernet Controller
+	6481  T62100-6081 Unified Wire Ethernet Controller
+	6501  T6225-CR Unified Wire Storage Controller
+	6502  T6225-SO-CR Unified Wire Storage Controller
+	6503  T6425-CR Unified Wire Storage Controller
+	6504  T6425-SO-CR Unified Wire Storage Controller
+	6505  T6225-OCP-SO Unified Wire Storage Controller
+	6506  T62100-OCP-SO Unified Wire Storage Controller
+	6507  T62100-LP-CR Unified Wire Storage Controller
+	6508  T62100-SO-CR Unified Wire Storage Controller
+	6509  T6210-BT Unified Wire Storage Controller
+	650d  T62100-CR Unified Wire Storage Controller
+	6511  T6225-LL-CR Unified Wire Storage Controller
+	6514  T61100-OCP-SO Unified Wire Storage Controller
+	6515  T6201-BT Unified Wire Storage Controller
+	6580  T6225-6080 Unified Wire Storage Controller
+	6581  T62100-6081 Unified Wire Storage Controller
+	6601  T6225-CR Unified Wire Storage Controller
+	6602  T6225-SO-CR Unified Wire Storage Controller
+	6603  T6425-CR Unified Wire Storage Controller
+	6604  T6425-SO-CR Unified Wire Storage Controller
+	6605  T6225-OCP-SO Unified Wire Storage Controller
+	6606  T62100-OCP-SO Unified Wire Storage Controller
+	6607  T62100-LP-CR Unified Wire Storage Controller
+	6608  T62100-SO-CR Unified Wire Storage Controller
+	6609  T6210-BT Unified Wire Storage Controller
+	660d  T62100-CR Unified Wire Storage Controller
+	6611  T6225-LL-CR Unified Wire Storage Controller
+	6614  T61100-OCP-SO Unified Wire Storage Controller
+	6615  T6201-BT Unified Wire Storage Controller
+	6680  T6225-6080 Unified Wire Storage Controller
+	6681  T62100-6081 Unified Wire Storage Controller
+	6801  T6225-CR Unified Wire Ethernet Controller [VF]
+	6802  T6225-SO-CR Unified Wire Ethernet Controller [VF]
+	6803  T6425-CR Unified Wire Ethernet Controller [VF]
+	6804  T6425-SO-CR Unified Wire Ethernet Controller [VF]
+	6805  T6225-OCP-SO Unified Wire Ethernet Controller [VF]
+	6806  T62100-OCP-SO Unified Wire Ethernet Controller [VF]
+	6807  T62100-LP-CR Unified Wire Ethernet Controller [VF]
+	6808  T62100-SO-CR Unified Wire Ethernet Controller [VF]
+	6809  T6210-BT Unified Wire Ethernet Controller [VF]
+	680d  T62100-CR Unified Wire Ethernet Controller [VF]
+	6811  T6225-LL-CR Unified Wire Ethernet Controller [VF]
+	6814  T61100-OCP-SO Unified Wire Ethernet Controller [VF]
+	6815  T6201-BT Unified Wire Ethernet Controller [VF]
+	6880  T6225-6080 Unified Wire Ethernet Controller [VF]
+	6881  T62100-6081 Unified Wire Ethernet Controller [VF]
 	a000  PE10K Unified Wire Ethernet Controller
 1426  Storage Technology Corp.
 1427  Better On-Line Solutions
@@ -16282,7 +16456,8 @@
 144d  Samsung Electronics Co Ltd
 	1600  Apple PCIe SSD
 	a800  XP941 PCIe SSD
-	a802  NVMe SSD Controller
+	a802  NVMe SSD Controller SM951/PM951
+	a804  NVMe SSD Controller SM961/PM961
 	a820  NVMe SSD Controller 171X
 		1028 1f95  Express Flash NVMe XS1715 SSD 400GB
 		1028 1f96  Express Flash NVMe XS1715 SSD 800GB
@@ -16299,6 +16474,16 @@
 		1028 1fc1  Express Flash NVMe PM1725 800GB SFF
 		1028 1fc2  Express Flash NVMe PM1725 1.6TB SFF
 		1028 1fc4  Express Flash NVMe PM1725 1.6TB AIC
+	a822  NVMe SSD Controller 172Xa
+		1014 0621  PCIe3 1.6TB NVMe Flash Adapter II x8
+		1014 0622  PCIe3 3.2TB NVMe Flash Adapter II x8
+		1028 1fd9  Express Flash PM1725a 800GB SFF
+		1028 1fda  Express Flash PM1725a 1.6TB SFF
+		1028 1fdb  Express Flash PM1725a 3.2TB SFF
+		1028 1fdc  Express Flash PM1725a 6.4TB SFF
+		1028 1fdd  Express Flash PM1725a 1.6TB AIC
+		1028 1fde  Express Flash PM1725a 3.2TB AIC
+		1028 1fdf  Express Flash PM1725a 6.4TB AIC
 144e  OLITEC
 144f  Askey Computer Corp.
 1450  Octave Communications Ind.
@@ -16409,6 +16594,7 @@
 14a2  Millennium Engineering Inc
 14a3  Maverick Networks
 14a4  Lite-On Technology Corporation
+	22f1  M8Pe Series NVMe SSD
 # Wrong vendor ID used
 	4318  Broadcom BCM4318 [AirForce One 54g] 802.11g WLAN Controller
 14a5  XIONICS Document Technologies Inc
@@ -16484,7 +16670,10 @@
 14ca  PE Logic Corp.
 14cb  Billionton Systems Inc
 14cc  NAKAYO Telecommunications Inc
-14cd  Universal Scientific Ind.
+14cd  Universal Global Scientific Industrial Co.,Ltd
+	0001  USI-1514-1GbaseT [OCP1]
+	0002  USI-4227-SFP [OCP2]
+	0003  USI-X557-10GbaseT [OCP3]
 14ce  Whistle Communications
 14cf  TEK Microsystems Inc.
 14d0  Ericsson Axe R & D
@@ -16588,6 +16777,7 @@
 		1028 02f1  PowerEdge R510 BCM5716 Gigabit Ethernet
 	163c  NetXtreme II BCM5716S Gigabit Ethernet
 	163d  NetXtreme II BCM57811 10-Gigabit Ethernet
+		1043 858a  PEB-10G/57811-1S
 	163e  NetXtreme II BCM57811 10 Gigabit Ethernet Multi Function
 	163f  NetXtreme II BCM57811 10-Gigabit Ethernet Virtual Function
 	1641  NetXtreme BCM57787 Gigabit Ethernet PCIe
@@ -16713,7 +16903,7 @@
 		1734 1061  PRIMERGY RX/TX S2 series onboard LAN
 	165a  NetXtreme BCM5722 Gigabit Ethernet PCI Express
 # Dual NIC server
-		1014 0378  IBM System x3350 (Machine type 4192)
+		1014 0378  System x3350 (Machine type 4192)
 		1028 020f  PowerEdge R300 Broadcom NetXtreme 5722
 		1028 0210  PowerEdge T300 Broadcom NetXtreme 5722
 		1028 0225  PowerEdge T105 Broadcom NetXtreme 5722
@@ -16921,6 +17111,7 @@
 	16bc  BCM57765/57785 SDXC/MMC Card Reader
 	16be  BCM57765/57785 MS Card Reader
 	16bf  BCM57765/57785 xD-Picture Card Reader
+	16c1  NetXtreme-E RDMA Virtual Function
 	16c6  NetXtreme BCM5702A3 Gigabit Ethernet
 		10b7 1100  3C1000B-T 10/100/1000 PCI
 		14e4 000c  BCM5702 1000Base-T
@@ -16936,7 +17127,7 @@
 	16c8  BCM57301 NetXtreme-C 10Gb Ethernet Controller
 	16c9  BCM57302 NetXtreme-C 10Gb/25Gb Ethernet Controller
 	16ca  BCM57304 NetXtreme-C 10Gb/25Gb/40Gb/50Gb Ethernet Controller
-	16cb  BCM57304 NetXtreme-C Ethernet Virtual Function
+	16cb  NetXtreme-C Ethernet Virtual Function
 	16cc  BCM57417 NetXtreme-E Ethernet Partition
 	16ce  BCM57311 NetXtreme-C 10Gb RDMA Ethernet Controller
 	16cf  BCM57312 NetXtreme-C 10Gb/25Gb RDMA Ethernet Controller
@@ -16943,11 +17134,13 @@
 	16d0  BCM57402 NetXtreme-E 10Gb Ethernet Controller
 	16d1  BCM57404 NetXtreme-E 10Gb/25Gb Ethernet Controller
 	16d2  BCM57406 NetXtreme-E 10GBASE-T Ethernet Controller
-	16d3  BCM57404 NetXtreme-E Ethernet Virtual Function
+	16d3  NetXtreme-E Ethernet Virtual Function
 	16d4  BCM57402 NetXtreme-E Ethernet Partition
 	16d5  BCM57407 NetXtreme-E 10GBase-T Ethernet Controller
 	16d6  BCM57412 NetXtreme-E 10Gb RDMA Ethernet Controller
 	16d7  BCM57414 NetXtreme-E 10Gb/25Gb RDMA Ethernet Controller
+		14e4 1202  BCM957412M4122 OCP 1x25G Type1 wRoCE
+		14e4 1404  BCM957414M4142 OCP 2x25G Type1 wRoCE
 		1590 020e  Ethernet 25Gb 2-port 631SFP28 Adapter
 		1590 0211  Ethernet 25Gb 2-port 631FLR-SFP28 Adapter
 	16d8  BCM57416 NetXtreme-E 10GBase-T RDMA Ethernet Controller
